package com.ibm.ims.dli;

/**
 * Object that represents the output from an Command (CMD) call to IMS TM.
 * 
 */
public interface CMDCallResult extends DLICallResult {

	/**
	 * Retrieves the first segment of the response message following a CMD call,
	 * but only if a CC status code is returned on the CMD call.
	 * 
	 * @return the first segment of the response message. null if status code is
	 *         not CC.
	 */
	public String getResponseSegment();

}
